# Google Data APIs Client Library (1.43.0)

## com.google.gdata.data.appsforyourdomain
Class AppsForYourDomainException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.google.gdata.util.ServiceException
                  com.google.gdata.data.appsforyourdomain.AppsForYourDomainException

All Implemented Interfaces:
  java.io.Serializable

    public class AppsForYourDomainException

extends ServiceException

The AppsForYourDomainException indicates a failure in the use of the Google Apps for Your Domain API.

See Also:
  Serialized Form

Field Summary
`protected AppsForYourDomainErrorCode` `errorCode`
`protected static javax.xml.parsers.DocumentBuilderFactory` `factory`
`protected java.lang.String` `invalidInput`

Constructor Summary
`AppsForYourDomainException()`
`AppsForYourDomainException(AppsForYourDomainErrorCode errorCode)`
`AppsForYourDomainException(AppsForYourDomainErrorCode errorCode, java.lang.String invalidInput)`
`AppsForYourDomainException(AppsForYourDomainErrorCode errorCode, java.lang.String invalidInput, int httpReturnCode)`

Method Summary
`AppsForYourDomainErrorCode` `getErrorCode()`
`java.lang.String` `getInvalidInput()`
`static AppsForYourDomainException` `narrow(ServiceException se)` This is a helper method for Clients to use to obtain specific information regarding a ServiceException.
`java.lang.String` `toString()`

Methods inherited from class com.google.gdata.util.ServiceException

`addSibling, getCodeName, getDebugInfo, getDomainName, getExtendedHelp, getHttpErrorCodeOverride, getHttpHeader, getHttpHeaders, getInternalReason, getLocation, getLocationType, getMessage, getOAuthProxyResponse, getResponseBody, getResponseContentType, getSendReport, getSiblings, hasOAuthProxyResponse, initCause, matches, matchesAny, setCode, setDebugInfo, setDomain, setExtendedHelp, setHeaderLocation, setHttpErrorCodeOverride, setInternalReason, setLocation, setResponse, setResponseBody, setResponseContentType, setSendReport, setXpathLocation, toXmlErrorMessage, toXmlErrorMessage`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### errorCode

    protected AppsForYourDomainErrorCode errorCode

### invalidInput

    protected java.lang.String invalidInput

### factory

    protected static javax.xml.parsers.DocumentBuilderFactory factory

Constructor Detail

### AppsForYourDomainException

    public AppsForYourDomainException(AppsForYourDomainErrorCode errorCode,
                                      java.lang.String invalidInput,
                                      int httpReturnCode)

### AppsForYourDomainException

    public AppsForYourDomainException(AppsForYourDomainErrorCode errorCode,
                                      java.lang.String invalidInput)

### AppsForYourDomainException

    public AppsForYourDomainException(AppsForYourDomainErrorCode errorCode)

### AppsForYourDomainException

    public AppsForYourDomainException()

Method Detail

### getErrorCode

    public AppsForYourDomainErrorCode getErrorCode()

### getInvalidInput

    public java.lang.String getInvalidInput()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `ServiceException`

### narrow

    public static AppsForYourDomainException narrow(ServiceException se)

  This is a helper method for Clients to use to obtain specific information regarding a ServiceException. Method will return an AppsForYourDomainException with populated errorCode and invalidInput values, or it will return null if the ServiceException is not an AppsForYourDomainException.